// File    : MCSetting.cpp
//
// Purpose : C++ Setting class
// Author  : Matthew Hunter
// Version : 0.01 (08 Jun 1999)

#include "MCSetting.h"
#include <iostream.h>

ostream& operator<<(ostream&s,MCSetting d) {
  return s << d.name << "=" << d.value;
}

MCSetting::MCSetting() {
  name = MCString("");
  value = name;
  next =0;
}

MCSetting::MCSetting(const MCSetting& copyme) {
  name = copyme.name;
  value = copyme.value;
  next=0;
}

MCSetting::MCSetting(MCString n,MCString v) {
  name = n;
  value = v;
  next = 0;
}

MCSetting& MCSetting::operator=(const MCSetting& assignme) {
  name = assignme.name;
  value = assignme.value;
  next=0;

  return *this;
}

MCSetting::~MCSetting() {
}



