// File    : MCPLPitchFig.h
//
// Purpose : C++ Pitch Figure class
// Author  : Matthew Hunter
// Version : 0.01 (6 Jul 1999)
//           0.02 (14 Jul 1999)
//                Minor corrections

#ifndef MCPLPitchFig_h
#define MCPLPitchFig_h

#include "MCXfig.h"
#include "MCString.h"
#include <iostream.h>
#include <stdio.h>

class MCPLPitchFig : public MCXfig {
 public:
  // Standard member functions
  MCPLPitchFig(MCString file);

  // Objects
  void drawPitch(void);
  void drawPlayer(float x, float y);
  void drawTeammate(float x, float y);
  void drawOpponent(float x, float y);
  void drawBall(float x, float y);

  // Standard constructors
  MCPLPitchFig();  // Default constructor
  MCPLPitchFig(const MCPLPitchFig&); // Copy constructor

  // Standard operations
  MCPLPitchFig& operator=(const MCPLPitchFig&); // assignment

  // Destructor
  ~MCPLPitchFig();
 private:
};

#endif



