/*
Michael David Seabrook


Function DTBest, is used for integration into the final soccer agent.
Currently it returns the candidate which the rules specify as 'best'



Last modified: 19/7/99
*/

#ifndef _DTPASS_H
#define _DTPASS_H

#define ENEMY 6
#define NO_ATTRIB 35
#define MAX_PASS_DISTANCE 25
#define MIN_PASS_DISTANCE 7
#define MAX_ENEMY_DISTANCE 40
#define CENTRE_AREA 20		// Separation line for wide and centered passes (Y=CENTRE_AREA)

#define dist_receiver	0			
#define dir_receiver	1			
#define opponent1_ang	2			
#define opponent2_ang	3			
#define opponent3_ang	4			
#define opponent4_ang	5			
#define opponent5_ang	6			
#define opponent6_ang	7			
#define opponent1_dist	8			
#define opponent2_dist	9			
#define opponent3_dist	10			
#define opponent4_dist	11			
#define opponent5_dist	12			
#define opponent6_dist	13			
#define opponent1_conf	14			
#define opponent2_conf	15			
#define opponent3_conf	16			
#define opponent4_conf	17			
#define opponent5_conf	18			
#define opponent6_conf	19			
#define opponent_ang4	20			
#define opponent_ang8	21			
#define opponent_ang12	22			
#define opponent_ang16	23			
#define opponent_ang20	24			
#define opponent_ang24	25			
#define opponent_ang8_dist_3	26		
#define opponent_ang8_dist_6	27	
#define opponent_ang8_dist_close	28	
#define opponent_ang16_dist_3	29	
#define opponent_ang16_dist_6	30	
#define opponent_ang16_dist_close	31	
#define opponent_ang24_dist_3	32	
#define opponent_ang24_dist_6	33	
#define opponent_ang24_dist_close	34	

#endif
