// File    : MCSetting.h
//
// Purpose : C++ Setting class
// Author  : Matthew Hunter
// Version : 0.01 (08 Jun 1999)

#ifndef MCSetting_h
#define MCSetting_h

#include "MCString.h"
#include <iostream.h>

class MCSetting {
 public:
  // Output
  friend ostream& operator<<(ostream&s,MCSetting);

  // Standard member functions
  // Standard constructors
  MCSetting();  // Default constructor
  MCSetting(const MCSetting&); // Copy constructor

  MCSetting(MCString,MCString); 

  // Standard operations
  MCSetting& operator=(const MCSetting&); // assignment

  // Destructor
  ~MCSetting();
  MCString name;
  MCString value;
  MCSetting *next;
};

#endif



