// File    : MCSettingList.h
//
// Purpose : C++ SettingList class
// Author  : Matthew Hunter
// Version : 0.01 (08 Jun 1999)
//           0.02 (24 Jun 1999)
//                Added getclassed function

#ifndef MCSettingList_h
#define MCSettingList_h

#include "MCSetting.h"
#include <iostream.h>

class MCSettingList {
 public:
  // Output
  friend ostream& operator<<(ostream&s,MCSettingList);

  void insert(MCString, MCString);
  MCString get(MCString, MCString);
  MCString getclassed(MCString,MCString);

  // Standard member functions
  // Standard constructors
  MCSettingList();  // Default constructor
  MCSettingList(const MCSettingList&); // Copy constructor

  // Standard operations
  MCSettingList& operator=(const MCSettingList&); // assignment

  // Destructor
  ~MCSettingList();
  MCString name;
  MCSettingList *next;
 private:
  MCSetting *head;
  MCSetting *find(MCString);
};

#endif



